devguard

Risk controlMap

Map a control to a risk.

POST
/risk-control/map/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/risk-control/map/" \  -H "Content-Type: application/json" \  -d '{    "controlId": "197efa3f-43a6-4dbf-b001-4d97174cd7af",    "riskId": "a877270e-2f95-4a32-acbf-d5219a01533c",    "organizationId": "string"  }'
{
  "id": "string",
  "frameworkAdoptionId": "string",
  "controlId": "string",
  "coverageStatus": "FULL",
  "coverageGap": "string",
  "lastReviewedAt": "string",
  "reviewedBy": "string",
  "policyId": "string",
  "sectionUid": "string",
  "organizationId": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "controlIdentifier": "string",
  "riskName": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?